WseeTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.wsee.WseeTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.wsee
Class WseeTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.wsee.WseeTagsHandler

public class WseeTagsHandler
extends XDocletTagSupport

Tags handler for dealing with wsee extensions.

Version:
  $Revision: 1.5 $
Author:
  Christoph G. Jung (christoph.jung@infor.de), Jason Essington (jasone@greenrivercomputing.com)
xdoclet.taghandler
  namespace="Wsee"
created
  23.12.03

Field Summary
`xjavadoc.XTag` | `currentHandler` state
`static String` | `HANDLER` name of javadoc tag indicating a handler
`static String` | `PORT_COMPONENT` name of javadoc tag indicating a port component

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`WseeTagsHandler()`

Method Summary
`void` | `forAllHandlers(String template, Properties attributes)` Iterates over all handler tags annotating the current class.
`void` | `forAllPortComponents(String template, Properties attributes)` Iterates over all classes loaded by javadoc and being a port component.
`protected String` | `getJaxrpcFilePattern()` Get the value of the jaxrpc file pattern
`static String` | `getNamespaceForPackage(String pak)` Gets the namespace for the specified package.
`static String` | `getNamespaceForPackage(xjavadoc.XPackage pak)` Gets the namespace for the specified package.
`String` | `getNamespaceURI(xjavadoc.XClass clazz)` return the namespace of the specified class
`static List` | `getPackageNamespaceMappings()` Gets the package-namespace mappings for the subtask.
`protected String` | `getWsdlFilePattern()` Get the value of the wsdl file pattern
`String` | `handlerTagValue(Properties props)` extract the value of the current handler tag
`void` | `ifHasHandlerTag(String template, Properties props)` conditional checking presence of a handler tag
`void` | `ifNotWsdlPerClass(String template, Properties props)` conditional to handle single wsdl generation
`void` | `ifWsdlPerClass(String template, Properties props)` conditional to handle per class wsdl
`protected boolean` | `isJaxrpcPerClass()` Is jaxrpc generation by class or as a single file?
`static boolean` | `isPortComponent(xjavadoc.XClass clazz)` check whether the given class is a port component
`protected boolean` | `isWsdlPerClass()` Is wsdl generation by class or as a single file?
`String` | `jaxrpcMappingFilename(Properties props)` Constructs a guestimated filename for the jaxrpc file.
`String` | `namespaceURI()` return the namespace of the current clazz/package
`String` | `serviceEndpoint(Properties props)` returns the service endpoint interface name belonging to the current class
`String` | `serviceEndpointLink(Properties props)` returns the service endpoint link pointing to the current class
`String` | `wsdlFilename(Properties props)` Constructs a guestimated filename for the wsdl file.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT_COMPONENT

    public static final String PORT_COMPONENT

  name of javadoc tag indicating a port component

  See Also:
    Constant Field Values

### HANDLER

    public static final String HANDLER

  name of javadoc tag indicating a handler

  See Also:
    Constant Field Values

### currentHandler

    public xjavadoc.XTag currentHandler

  state

Constructor Detail

### WseeTagsHandler

    public WseeTagsHandler()

Method Detail

### isPortComponent

    public static boolean isPortComponent(xjavadoc.XClass clazz)
                                   throws XDocletException

  check whether the given class is a port component

  Parameters:
    `clazz` - class
  Returns:
  Throws:
    `XDocletException`

### getNamespaceForPackage

    public static String getNamespaceForPackage(xjavadoc.XPackage pak)

  Gets the namespace for the specified package.

  Parameters:
    `pak` - package
  Returns:
    namespace
  See Also:
    `getNamespaceForPackage(java.lang.String)`

### getNamespaceForPackage

    public static String getNamespaceForPackage(String pak)

  Gets the namespace for the specified package.

  Parameters:
    `pak` - package
  Returns:
    namespace

### getPackageNamespaceMappings

    public static List getPackageNamespaceMappings()

  Gets the package-namespace mappings for the subtask.

  Returns:
    List of packageNamespaceMapping config params

### getNamespaceURI

    public String getNamespaceURI(xjavadoc.XClass clazz)
                           throws XDocletException

  return the namespace of the specified class

  Parameters:
    `clazz` - class
  Returns:
    namespace URI
  Throws:
    `XDocletException`

### forAllPortComponents

    public void forAllPortComponents(String template,
                                     Properties attributes)
                              throws XDocletException

  Iterates over all classes loaded by javadoc and being a port component.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"
  doc.param
    name="abstract" optional="true" values="true,false" description="If true then accept abstract classes also; otherwise don't.", name="type" optional="true" description="For all classes by the type."

### serviceEndpoint

    public String serviceEndpoint(Properties props)
                           throws XDocletException

  returns the service endpoint interface name belonging to the current class

  Parameters:
    `props` - The attributes of the template tag
  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### serviceEndpointLink

    public String serviceEndpointLink(Properties props)
                               throws XDocletException

  returns the service endpoint link pointing to the current class

  Parameters:
    `props` - The attributes of the template tag
  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### namespaceURI

    public String namespaceURI()
                        throws XDocletException

  return the namespace of the current clazz/package

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### forAllHandlers

    public void forAllHandlers(String template,
                               Properties attributes)
                        throws XDocletException

  Iterates over all handler tags annotating the current class.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifHasHandlerTag

    public void ifHasHandlerTag(String template,
                                Properties props)
                         throws XDocletException

  conditional checking presence of a handler tag

  Parameters:
    `template` - The body of the block tag
    `props` - The attributes of the template tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"
  doc.param
    name="paramName" optional="false" description="The name of the parameter"

### handlerTagValue

    public String handlerTagValue(Properties props)
                           throws XDocletException

  extract the value of the current handler tag

  Parameters:
    `props` - The attributes of the template tag
  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"
  doc.param
    name="paramName" optional="false" description="The name of the parameter"

### ifWsdlPerClass

    public void ifWsdlPerClass(String template,
                               Properties props)
                        throws XDocletException

  conditional to handle per class wsdl

  Parameters:
    `template` - The body of the block tag
    `props` - The attributes of the template tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifNotWsdlPerClass

    public void ifNotWsdlPerClass(String template,
                                  Properties props)
                           throws XDocletException

  conditional to handle single wsdl generation

  Parameters:
    `template` - The body of the block tag
    `props` - The attributes of the template tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### wsdlFilename

    public String wsdlFilename(Properties props)

  Constructs a guestimated filename for the wsdl file. It also attempts to decide if the file should be in META-INF or WEB-INF. This should yield a filename that will be correct for use within the webservices.xml file.

  Parameters:
    `props` - If prefixWithPackageStructure is specified for the wsdl sub task, the property prefixWithPackage="true" will need to be specified.
  Returns:
    filename
  doc.tag
    type="content"
  doc.param
    name="prefixWithPackage" optional="true" values="true,false" description="Whether to prefix the filename with the package hierarchy."

### jaxrpcMappingFilename

    public String jaxrpcMappingFilename(Properties props)

  Constructs a guestimated filename for the jaxrpc file.

  Parameters:
    `props` - If prefixWithPackageStructure is specified for the wsdl sub task, the property prefixWithPackage="true" will need to be specified.
  Returns:
    filename
  doc.tag
    type="content"
  doc.param
    name="prefixWithPackage" optional="true" values="true,false" description="Whether to prefix the filename with the package hierarchy."

### isWsdlPerClass

    protected boolean isWsdlPerClass()

  Is wsdl generation by class or as a single file?

  Returns:
    true if by class

### isJaxrpcPerClass

    protected boolean isJaxrpcPerClass()

  Is jaxrpc generation by class or as a single file?

  Returns:
    true if by class

### getWsdlFilePattern

    protected String getWsdlFilePattern()

  Get the value of the wsdl file pattern

  Returns:
    pattern

### getJaxrpcFilePattern

    protected String getJaxrpcFilePattern()

  Get the value of the jaxrpc file pattern

  Returns:
    pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD